apiVersion: v1
kind: PersistentVolume
metadata:
  name: pv-nextcloud-data-nfs
spec:
  capacity:
    storage: 500Gi
  accessModes:
    - ReadWriteMany
  persistentVolumeReclaimPolicy: Retain
  storageClassName: nfs
  mountOptions:
    - vers=3
    - rsize=65536
    - wsize=65536
    - noatime
    - soft
    - timeo=20
    - retrans=2
  nfs:
    server: 192.168.178.186   # <-- ERSETZEN: IP oder Hostname deiner NAS
    path: /volume1/Nextcloud/data    # <-- ERSETZEN: Pfad zum Share auf der NAS (z.B. /volume1/nextcloud)
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: nextcloud-data-pvc
  namespace: nextcloud
spec:
  accessModes:
    - ReadWriteMany
  storageClassName: nfs
  resources:
    requests:
      storage: 500Gi
  volumeName: pv-nextcloud-data-nfs